<?php
session_start();

if (!isset($_SESSION['user_session'])) {
    header("Location: login.html"); 
    exit;
}

switch ($_SESSION['user_session']) {
    case 6:
    case 15:
        // Allowed user roles
        break;
    default:    
        header('Location: restricted.html');
        exit;
}

include_once 'db.php';
$stmt = $db_con->prepare("SELECT * FROM users WHERE user_id = :uid");
$stmt->execute(array(":uid" => $_SESSION['user_session']));
$user = $stmt->fetch(PDO::FETCH_ASSOC);
?>
<!DOCTYPE html>
<html>
  
<head>
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1" />
    <link
      rel="stylesheet"
      href="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/css/bootstrap.min.css"
    />
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/1.12.4/jquery.min.js"></script>
    <script src="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/js/bootstrap.min.js"></script>
    <style>
      
      table {
        border-collapse: collapse;
        margin: 0px;
      }

      table,
      td,
      th {
        border: 1px solid #70aec5;
      }
      td {
        padding: 3px;
      }

      th {
        border: 1px solid white;
        background-color: #70aec5;
        color: white;
        text-align: center;
        padding: 4px 0 4px 0;
      }

      tr:nth-child(even) {
        background: #eee;
      }
      tr:nth-child(odd) {
        background: #fff;
      }
      tr:hover {
        background: #ddd;
      }

      h1 {
        color: #70aec5;
        text-align: center;
      }

      header {
        text-align: center;
      }

      form {
        border-radius: 25px;
        border: 2px solid #70aec5;
        padding: 10px;
        margin: 10px 25px 15px 25px;
      }

    button {
        background-color: #4caf50;  /*Green */
        border: none;
        color: white;
        padding: 5px 5px;
        text-align: center;
        text-decoration: none;
        display: inline-block;
        font-size: 16px;
        margin: 6px 22px;
        cursor: pointer;
        border-radius: 8px;
      
      }

      fieldset {
        padding: 15px;
      }

      footer {
        margin: 25px;
      }
    </style>
    <title>Scheduled Events</title>
    
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1" />
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.6.0/jquery.min.js"></script>
    <link
      rel="stylesheet"
      href="https://maxcdn.bootstrapcdn.com/bootstrap/3.4.1/css/bootstrap.min.css"
    />
    <script src="https://maxcdn.bootstrapcdn.com/bootstrap/3.4.1/js/bootstrap.min.js"></script>
    <style>
      * {
        box-sizing: border-box;
        font-family: Arial, Helvetica, sans-serif;
      }

      body {
        margin: 0;
        font-family: Arial, Helvetica, sans-serif;
      }

      .topnav {
        overflow: hidden;
        background-color: #333;
      }

      .topnav a {
        float: right;
        display: block;
        color: #f2f2f2;
        text-align: center;
        padding: 14px 16px;
        text-decoration: none;
      }

      .topnav a:hover {
        background-color: green;
        color: white;
      }

      .content {
        background-color: #f9f9f9;
        padding: 20px;
        text-align: center;
      }

      .event-content {
        display: flex;
        justify-content: center;
        flex-direction: column;
        margin-top: 20px;
      }

      .footer {
        position: fixed;
        left: 0;
        bottom: 0;
        width: 100%;
        background-color: #f1f1f1;
        padding: 10px;
        display: flex;
        justify-content: space-between;
        align-items: center;
      }

      table {
        width: 100%;
        border-collapse: collapse;
        margin-top: 20px;
      }

      table,
      th,
      td {
        border: 1px solid #ddd;
      }

      th,
      td {
        padding: 12px;
        text-align: left;
      }

      th {
        background-color: green;
        color: white;
      }

      @media screen and (max-width: 600px) {
        table,
        thead,
        tbody,
        th,
        td,
        tr {
          display: block;
        }
        th {
          position: absolute;
          top: -9999px;
          left: -9999px;
        }
        tr {
          margin: 0 0 1rem 0;
        }
        td {
          border: none;
          position: relative;
          padding-left: 50%;
        }
        td:before {
          position: absolute;
          top: 12px;
          left: 6px;
          width: 45%;
          padding-right: 10px;
          white-space: nowrap;
        }
        td:nth-of-type(1):before {
          content: "id";
        }
        td:nth-of-type(2):before {
          content: "Title";
        }
        td:nth-of-type(3):before {
          content: "Description";
        }
        td:nth-of-type(4):before {
          content: "Organizer Email";
        }
        td:nth-of-type(5):before {
          content: "Room Number";
        }
        td:nth-of-type(6):before {
          content: "Date";
        }
        td:nth-of-type(7):before {
          content: "Time";
        }
        td:nth-of-type(8):before {
          content: "Expected Participants";
        }
        td:nth-of-type(9):before {
          content: "Organization";
        }
      }

      
    </style>
  </head>
  <body>
  <div class="topnav">
      <a href="index.html">Home Page</a>
    </div>

    <h1>Requested Events</h1>
<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.6.0/jquery.min.js"></script>
    <link
      rel="stylesheet"
      href="https://maxcdn.bootstrapcdn.com/bootstrap/3.4.1/css/bootstrap.min.css"
    />
    <script src="https://maxcdn.bootstrapcdn.com/bootstrap/3.4.1/js/bootstrap.min.js"></script>

    <span id="new_event"></span>
    <div id="event_list"></div>
<script>
      var url = "get_events.php";
      var $list = $("#event_list");
      var $status = $("#new_event");

      $(document).ready(function () {
        $.ajax({
          type: "POST",
          url: url,
          data: { command: "get_events1" },
          beforeSend: function () {
            $list.html("<div id='load'>Loading ...</div>");
          },
          success: function (data) {
            console.log(data);
            display_events(data);
            $("#load").remove();
          },
          fail: function () {
            $list.html("Could not get data ...");
          },
        });
      });

      function display_events(json_data) {
        var col_names = [
          "id",
          "Title",
          "Description",
          "Organizer Email",
          "Room Number",
          "Date",
          "Time",
          "Expected Participants",
          "Organization",
        ];

        var data = jQuery.parseJSON(json_data);
        var $table_obj = $("<table>");
        $table_obj.attr("id", "event_table");

        $list.append($table_obj);

        $(event_list).append($table_obj);

        //Print a table header
        var $row_obj = $("<tr>");
        $table_obj.append($row_obj);

        for (var j = 0; j < col_names.length; j++) {
          var $tb_header = $("<th>");
          $tb_header.html(col_names[j]);
          $row_obj.append($tb_header);
        }

        //Print rows
        for (var i = 0; i < data.length; i++) {
          $row_obj = $("<tr>");
          $table_obj.append($row_obj);

          //Print columns
          $.each(data[i], function (key, value) {
            $col_obj = $("<td>");
            $col_obj.html(value);
            $row_obj.append($col_obj);
          });
        }
      }

      
      
    </script>


<div class="login-container">
    
     <form id= "event_form" action ="#" method = "post" class="form-signin">
      
       <div>
         <label for="id_num">id</label>
         <input type="text" id="id_num" name="id_num" required/>
       </div>

       
       <div>
       &nbsp; &nbsp; &nbsp; <button type="submit" name="submit" id="submit">Approve</button>
         
       </div>
     <br>
       
</form>

<div class="login-container">
    
     <form id= "event_form1" action ="#" method = "post" class="form-signin">
      
       <div>
         <label for="id_num">id</label>
         <input type="text" id="id_num" name="id_num" required/>
       </div>

       
       <div>
       &nbsp; &nbsp; &nbsp; <button type="submit" name="del" id="del">Delete</button>
         
       </div>
     <br>
       
</form>

<script>
      $(document).ready(function () {
        const url = "get_events.php";
        const $list = $("#event_list");
        const $status = $("#new_event");

        $("#event_form").on("submit", function (e) {
          e.preventDefault();

          const eventData = $(this).serialize();

          $.ajax({
            type: "POST",
            url: url,
            data: { command: "approve_event", event_data: eventData },
            beforeSend: function () {
              $status.html("Approving event...");
            },
            success: function (response) {
              const res = JSON.parse(response);
              $status.html("Event approved!");
              $("#event_form")[0].reset();
              fetchEvents();
            },
            error: function () {
              $status.html("Failed to approve event.");
            },
          });
        });
      });
    </script>

<script>
      $(document).ready(function () {
        const url = "get_events.php";
        const $list = $("#event_list");
        const $status = $("#new_event");

        $("#event_form1").on("submit", function (e) {
          e.preventDefault();

          const eventData = $(this).serialize();

          $.ajax({
            type: "POST",
            url: url,
            data: { command: "delete_event", event_data: eventData },
            beforeSend: function () {
              $status.html("deleting event...");
            },
            success: function (response) {
              const res = JSON.parse(response);
              $status.html("Event deleted!");
              $("#event_form1")[0].reset();
              fetchEvents();
            },
            error: function () {
              $status.html("Failed to delete event.");
            },
          });
        });
      });
    </script>
    </body>
</html>