<?php
require 'createDB.php';
$cmd = $_POST["command"];

switch ($cmd) {
    case "delete_event":
        parse_str($_POST["event_data"], $data);
        $id = $data["id_num"];

        try {
            $sql = "delete * from event WHERE id = :id_num";
            $stmt = $db->prepare($sql);
            $stmt->execute([':id_num' => $id]);
            echo json_encode($response);
        } catch (PDOException $e) {
            die('An error has occurred! Please try again later.<br />' . $e->getMessage());
        }
        break;

    case "approve_event":
        parse_str($_POST["event_data"], $data);
        $id = $data["id_num"];

        try {
            $sql = "UPDATE event SET approved = 'T' WHERE id = :id_num";
            $stmt = $db->prepare($sql);
            $stmt->execute([':id_num' => $id]);
            echo json_encode($response);
        } catch (PDOException $e) {
            die('An error has occurred! Please try again later.<br />' . $e->getMessage());
        }
        break;

        case "get_events1":
            $stmt = $db->prepare("SELECT id, title, description, organizer_email, room_number, event_date, event_time, expected_participants, organization FROM event where approved = 'F'");
            $stmt->execute();
            $events = $stmt->fetchAll();
            echo json_encode($events);
        break;
    case "get_events2":
            $stmt = $db->prepare("SELECT title, description, organizer_email, room_number, event_date, event_time, expected_participants, organization FROM event where approved = 'T' ORDER BY event_date ASC, event_time ASC");
            $stmt->execute();
            $events = $stmt->fetchAll();
            echo json_encode($events);
        break;
    case "insert_event":
        parse_str($_POST["event_data"], $data);

        $title = $data["eventtitle"];
        $organization = $data["org"];
        $description = $data["reason"];
        $event_date = $data["eventdate"];
        $event_time = $data["eventtime"];
        $expected_participants = (int)$data["expected"];
        $organizer_email = $data["email"];
        $room_number = $data["place"];

        try {
            $sql = "INSERT INTO event (title, description, organizer_email, room_number, event_date, event_time, expected_participants, organization, approved)
                    VALUES (:title, :description, :organizer_email, :room_number, :event_date, :event_time, :expected_participants, :organization, 'F')";
            $stmt = $db->prepare($sql);
            $stmt->execute(array(
                ':title' => $title,
                ':description' => $description,
                ':organizer_email' => $organizer_email,
                ':room_number' => $room_number,
                ':event_date' => $event_date,
                ':event_time' => $event_time,
                ':expected_participants' => $expected_participants,
                ':organization' => $organization
            ));

            $inserted_event = [
                "title" => $title,
                "description" => $description,
                "organizer_email" => $organizer_email,
                "room_number" => $room_number,
                "event_date" => $event_date,
                "event_time" => $event_time,
                "expected_participants" => $expected_participants,
                "organization" => $organization
            ];

            echo json_encode($inserted_event);
        } catch (PDOException $e) {
            die('An error has occurred! Please try again later.<br />' . $e->getMessage());
        }
        break;
}
$db = null;
?>

